<!--
  Generated template for the ProfilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Profile</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
    <div *ngIf="imageCrop">
      <div class="text-center" style="padding: 40px 15px 0 15px;">
        <image-cropper
          [maintainAspectRatio]="true"
          [imageBase64]="profileImage"
          [aspectRatio]="1/1"
          [resizeToWidth]="300"
          [cropperMinWidth]="300"
          [onlyScaleDown]="true"
          [roundCropper]="true"
          [canvasRotation]="canvasRotation"
          [transform]="transform"
          [hideResizeSquares]="true"
          format="jpeg"
          outputType="base64"
          (imageCropped)="imageCropped($event)"
          (imageLoaded)="imageLoaded()"
          (loadImageFailed)="loadImageFailed()"
        ></image-cropper>

        <button ion-button color="ocean" (click)="saveCroppedImage()" class="pad-10">Save</button>

        <button ion-button color="medium" (click)="rotateRight()" class="pad-10">
          <ion-icon name="refresh" class="icon-big pad-10"></ion-icon> Rotate  
        </button>

        <button ion-button color="danger" (click)="exitCropper()" class="pad-10">
          <ion-icon name="close" class="icon-big pad-10"></ion-icon> Cancel   
        </button>

      </div>
    </div>
	<div *ngIf="currentUser != null && !imageCrop">
    <ion-item>
      <ion-row>
        <ion-col col-5>
          <!-- Avatar -->
          <ion-item class="user-photo" no-lines>
            <div class="alt-avatar-2" *ngIf="currentUser">
              <img [src]="profileAvatar">
            </div>
            <button (click)="editProfileImage()" class="circle-button">
              <ion-icon name="camera" class="icon-big"></ion-icon>
            </button>
          </ion-item>
        </ion-col>
        <ion-col col-7 class="top-mar-20">
          <h3>{{currentUser.first_name}} {{currentUser.last_name}}</h3>
          <p>{{currentUser.user.state}}, {{currentUser.user.country}}<br />
          {{currentUser.role}}</p>
        </ion-col>
      </ion-row>
    </ion-item>

    <!-- About -->
		<div class="pad-all-10 text-center">
      <h2>About</h2>
      <p>{{currentUser.user.description}}</p>
    </div>

    <!-- Reviews -->
    <div (click)="viewReview()" class="pad-sides-10 add-lines">
      <ion-row>
        <ion-col col-6 style="padding-top: 10px;">
          <ionic3-star-rating 
            activeIcon = "ios-star"
            defaultIcon = "ios-star-outline"
            activeColor = "#ffcc00" 
            defaultColor = "#ffcc00"
            readonly="true"
            [rating]="currentUser.user.rating">
          </ionic3-star-rating> 
        </ion-col>
        <ion-col col-6>
          <p style="text-align: right;"> View Reviews <ion-icon name="arrow-forward" style="padding-left: 10px;"></ion-icon></p>
        </ion-col>
      </ion-row>
    </div>

    <!-- Edit and view public buttons -->
    <ion-row class="pad-all-10">
      <ion-col col-5>
        <div>
         <button ion-button small text-center color="primary" (click)="loadEditProfile()" outline>Edit Profile</button>
        </div>
      </ion-col>
      <ion-col col-5>
        <div>
          <button ion-button small text-center color="primary" 
            (click)="showPublicProfile()" outline>View Public Profile
          </button>
        </div>  
      </ion-col>
      <ion-col col-2></ion-col>
    </ion-row>

    <!-- Preferences -->
    <div class="pad-all-10 add-lines">
      <h2 class="text-center">Preferences</h2>
    	<ion-item *ngFor="let p of preferences" no-lines>
          <ion-icon *ngIf="p.preference.category == 'Smoking'" 
          name="md-no-smoking"></ion-icon>
          <ion-icon *ngIf="p.preference.category == 'Music'" 
          name="md-musical-notes"></ion-icon>
          <ion-icon *ngIf="p.preference.category == 'Pets'" 
          name="md-paw"></ion-icon>
          <ion-icon *ngIf="p.preference.category == 'Chattiness'" 
          name="chatbubbles"></ion-icon> <span style="margin-left: 10px;">{{p.preference.description}}</span>
    	</ion-item>
      <div class="text-center pad-10">
        <button ion-button text-center small color="primary" 
        (click)="editPreferences()" outline>Edit Preferences</button>
      </div>
    </div>

    <!-- Verified Info -->
    <div class="pad-all-10">
      <h2> Verified Info </h2>
      <verified-info></verified-info>
    </div>
	</div>
</ion-content>
